polyutils_sources = files(
  'private/polyIO.cpp',
  'private/polyMFEMUtils.cpp'
)

polyutils_headers = files(
  'public/polyIO.h',
  'public/polyMFEMUtils.h'
)

libpolyutils = static_library('polyutils',
  polyutils_sources,
  include_directories : include_directories('.'),
  cpp_args: ['-fvisibility=default'],
  dependencies: [mfem_dep],
  install: true
)

libpolyutils_dep = declare_dependency(
  include_directories : include_directories('.'),
  link_with : libpolyutils,
  sources : polyutils_sources,
  dependencies : [mfem_dep]
)
